package bogqaai;

/**
 * Gráf szerkesztés összefoglaló felület. Grafikus, <i>javax.swing.JPanel</i>
 * leszármazott osztály, a NetBeans szerkesztőjével készült.
 * 
 * @author Bognár Gergő, BOGQAAI.ELTE
 */
public class EditorPanel extends javax.swing.JPanel {

    /**
     * Összefoglaló felület konstruktora.
     */
    public EditorPanel() {
        initComponents();
    }

    /**
     * A grafikus komponensek inicializálása a konstruktorban. Tartalmát a
     * NetBeans szerkesztője generálta.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        javax.swing.JToolBar titleBar = new javax.swing.JToolBar();
        javax.swing.JPanel titlePanel = new javax.swing.JPanel();
        javax.swing.JLabel titleLabel = new javax.swing.JLabel();
        javax.swing.JScrollPane descriptionPane = new javax.swing.JScrollPane();
        javax.swing.JLabel descriptionLabel = new javax.swing.JLabel();

        setPreferredSize(new java.awt.Dimension(240, 300));

        titleBar.setFloatable(false);
        titleBar.setRollover(true);

        titlePanel.setBackground(new java.awt.Color(255, 255, 255, 0));

        titleLabel.setFont(titleLabel.getFont().deriveFont((float)18));
        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("bogqaai/Bundle"); // NOI18N
        titleLabel.setText(bundle.getString("EditorPanel.titleLabel.text")); // NOI18N

        javax.swing.GroupLayout titlePanelLayout = new javax.swing.GroupLayout(titlePanel);
        titlePanel.setLayout(titlePanelLayout);
        titlePanelLayout.setHorizontalGroup(
            titlePanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(titlePanelLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(titleLabel)
                .addContainerGap(101, Short.MAX_VALUE))
        );
        titlePanelLayout.setVerticalGroup(
            titlePanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(titlePanelLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(titleLabel)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        titleBar.add(titlePanel);

        descriptionPane.setBorder(null);
        descriptionPane.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        descriptionPane.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);

        descriptionLabel.setText(bundle.getString("EditorPanel.descriptionLabel.text")); // NOI18N
        descriptionLabel.setVerticalAlignment(javax.swing.SwingConstants.TOP);
        descriptionPane.setViewportView(descriptionLabel);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(titleBar, javax.swing.GroupLayout.DEFAULT_SIZE, 0, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(descriptionPane, javax.swing.GroupLayout.DEFAULT_SIZE, 220, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(titleBar, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(descriptionPane, javax.swing.GroupLayout.DEFAULT_SIZE, 237, Short.MAX_VALUE)
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
}
