package bogqaai;

/**
 * A kezdőlap felülete. Grafikus, <i>javax.swing.JPanel</i> leszármazott
 * osztály, a NetBeans szerkesztőjével készült.
 * 
 * @author Bognár Gergő, BOGQAAI.ELTE
 */
public class StartPanel extends javax.swing.JPanel {
    /** Koordináló objektum. */
    private final MainWindow parent;

    /**
     *A kezdőlap konstruktora, paramétere a koordináló objektum és a
     * mintagráfok listáját tartalmazó <i>JPanel</i>.
     * 
     * @param parent Koordináló objektum
     * @param samplePanel Mintagráfok listája
     */
    public StartPanel(MainWindow parent, javax.swing.JPanel samplePanel) {
        initComponents();
        this.parent = parent;
        samplePane.setViewportView(samplePanel);
    }

    /**
     * A grafikus komponensek inicializálása a konstruktorban. Tartalmát a
     * NetBeans szerkesztője generálta.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        javax.swing.JToolBar titleBar = new javax.swing.JToolBar();
        javax.swing.JPanel titlePanel = new javax.swing.JPanel();
        javax.swing.JLabel titleLabel = new javax.swing.JLabel();
        javax.swing.JScrollPane startPane = new javax.swing.JScrollPane();
        javax.swing.JPanel startPanel = new javax.swing.JPanel();
        javax.swing.JButton newButton = new javax.swing.JButton();
        javax.swing.JButton openButton = new javax.swing.JButton();
        samplePane = new javax.swing.JScrollPane();
        javax.swing.JScrollPane descriptionPane = new javax.swing.JScrollPane();
        javax.swing.JEditorPane descriptionLabel = new javax.swing.JEditorPane();

        setPreferredSize(new java.awt.Dimension(800, 450));

        titleBar.setFloatable(false);
        titleBar.setRollover(true);

        titlePanel.setBackground(new java.awt.Color(255, 255, 255, 0));

        titleLabel.setFont(titleLabel.getFont().deriveFont((float)18));
        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("bogqaai/Bundle"); // NOI18N
        titleLabel.setText(bundle.getString("Title")); // NOI18N

        javax.swing.GroupLayout titlePanelLayout = new javax.swing.GroupLayout(titlePanel);
        titlePanel.setLayout(titlePanelLayout);
        titlePanelLayout.setHorizontalGroup(
            titlePanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(titlePanelLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(titleLabel)
                .addContainerGap(313, Short.MAX_VALUE))
        );
        titlePanelLayout.setVerticalGroup(
            titlePanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(titlePanelLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(titleLabel)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        titleBar.add(titlePanel);

        startPane.setBorder(javax.swing.BorderFactory.createTitledBorder(bundle.getString("StartPanel.startPane.border.title"))); // NOI18N
        startPane.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        startPane.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);

        newButton.setText(bundle.getString("StartPanel.newButton.text")); // NOI18N
        newButton.setBorder(null);
        newButton.setBorderPainted(false);
        newButton.setContentAreaFilled(false);
        newButton.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        newButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                newButtonActionPerformed(evt);
            }
        });

        openButton.setText(bundle.getString("StartPanel.openButton.text")); // NOI18N
        openButton.setBorder(null);
        openButton.setBorderPainted(false);
        openButton.setContentAreaFilled(false);
        openButton.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        openButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                openButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout startPanelLayout = new javax.swing.GroupLayout(startPanel);
        startPanel.setLayout(startPanelLayout);
        startPanelLayout.setHorizontalGroup(
            startPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(startPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(startPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(newButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(openButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(30, Short.MAX_VALUE))
        );
        startPanelLayout.setVerticalGroup(
            startPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(startPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(newButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(openButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(28, Short.MAX_VALUE))
        );

        startPane.setViewportView(startPanel);

        samplePane.setBorder(javax.swing.BorderFactory.createTitledBorder(bundle.getString("StartPanel.samplePane.border.title"))); // NOI18N
        samplePane.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);

        descriptionPane.setBorder(null);
        descriptionPane.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        descriptionPane.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);

        descriptionLabel.setBorder(null);
        descriptionLabel.setContentType(bundle.getString("StartPanel.descriptionLabel.contentType")); // NOI18N
        descriptionLabel.setEditable(false);
        descriptionLabel.setText(bundle.getString("Description")); // NOI18N
        descriptionLabel.setOpaque(false);
        descriptionLabel.putClientProperty(javax.swing.JEditorPane.HONOR_DISPLAY_PROPERTIES, Boolean.TRUE);
        descriptionPane.setViewportView(descriptionLabel);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(titleBar, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(startPane)
                    .addComponent(samplePane))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(descriptionPane, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(titleBar, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(startPane, javax.swing.GroupLayout.PREFERRED_SIZE, 98, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(samplePane, javax.swing.GroupLayout.DEFAULT_SIZE, 271, Short.MAX_VALUE))
                    .addComponent(descriptionPane))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    /**
     * Üres gráf létrehozása gomb eseménye. 
     */
    private void newButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_newButtonActionPerformed
        parent.newGraph();
    }//GEN-LAST:event_newButtonActionPerformed

    /**
     * Gráf megnyitása fájlból gomb eseménye.
     */
    private void openButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_openButtonActionPerformed
        parent.openGraph();
    }//GEN-LAST:event_openButtonActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    /** Mintagráfok listájának befoglalója. */
    private javax.swing.JScrollPane samplePane;
    // End of variables declaration//GEN-END:variables
}
