package bogqaai.graph;

/**
 * Gráf fájlból történő beolvasásakor hibás formátum esetén kiváltott kivétel.
 *
 * @author Bognár Gergő, BOGQAAI.ELTE
 */
public class GraphFormatException extends RuntimeException {

    /**
     * A kivétel osztály konstruktora.
     */
    public GraphFormatException(){}

    /**
     * A kivétel osztály konstruktora, paramétere a hibaüzenet.
     *
     * @param msg Hibaüzenet
     */
    public GraphFormatException(String msg){
        super(msg);
    }

    /**
     * A kivétel osztály konstruktora, paraméterei a hibaüzenet formátuma és annak
     * paraméterei.
     *
     * @param msg Hibaüzenet formátuma
     * @param arguments Paraméterek
     */
    public GraphFormatException(String msg, Object ... arguments){
        this(java.text.MessageFormat.format(msg, arguments));
    }
}
