package bogqaai.graph.event;

/**
 * Gráf megváltozás eseményre várakozók absztrakt ősosztálya. Tartalmazza a
 * megváltozás és az animált megváltozás események fogadó metódusait.
 *
 * @author Bognár Gergő, BOGQAAI.ELTE
 */
public abstract class GraphAdapter implements GraphListener {
    /**
     * Gráf megváltozása esemény fogadó metódusa.
     *
     * @param evt Gráf esemény objektum
     */
    @Override
    public void changed(GraphEvent evt){}
    /**
     * Gráf animált megváltozása esemény fogadó metódusa.
     *
     * @param evt Gráf esemény objektum
     */
    @Override
    public void animation(GraphEvent evt){}
}
